lzma_lzma1_encoder_s Struct Reference

## Data Fields

lzma_range_encoder | rc
| Range encoder. More...
lzma_lzma_state | state
| State. More...
uint32_t | reps [REPS]
| The four most recent match distances. More...
lzma_match | matches [MATCH_LEN_MAX+1]
| Array of match candidates. More...
uint32_t | matches_count
| Number of match candidates in matches[]. More...
uint32_t | longest_match_length
bool | fast_mode
| True if using getoptimumfast. More...
bool | is_initialized
bool | is_flushed
uint32_t | pos_mask
| (1 << pos_bits) - 1 More...
uint32_t | literal_context_bits
uint32_t | literal_pos_mask
probability | literal [LITERAL_CODERS_MAX][LITERAL_CODER_SIZE]
probability | is_match [STATES][POS_STATES_MAX]
probability | is_rep [STATES]
probability | is_rep0 [STATES]
probability | is_rep1 [STATES]
probability | is_rep2 [STATES]
probability | is_rep0_long [STATES][POS_STATES_MAX]
probability | dist_slot [DIST_STATES][DIST_SLOTS]
probability | dist_special [FULL_DISTANCES - DIST_MODEL_END]
probability | dist_align [ALIGN_SIZE]
lzma_length_encoder | match_len_encoder
lzma_length_encoder | rep_len_encoder
uint32_t | dist_slot_prices [DIST_STATES][DIST_SLOTS]
uint32_t | dist_prices [DIST_STATES][FULL_DISTANCES]
uint32_t | dist_table_size
uint32_t | match_price_count
uint32_t | align_prices [ALIGN_SIZE]
uint32_t | align_price_count
uint32_t | opts_end_index
uint32_t | opts_current_index
lzma_optimal | opts [OPTS]

## Field Documentation

## rc

lzma_range_encoder lzma_lzma1_encoder_s::rc

Range encoder.

## state

lzma_lzma_state lzma_lzma1_encoder_s::state

State.

## reps

uint32_t lzma_lzma1_encoder_s::reps[REPS]

The four most recent match distances.

## matches

lzma_match lzma_lzma1_encoder_s::matches[MATCH_LEN_MAX+1]

Array of match candidates.

## matches_count

uint32_t lzma_lzma1_encoder_s::matches_count

Number of match candidates in matches[].

## longest_match_length

uint32_t lzma_lzma1_encoder_s::longest_match_length

Variable to hold the length of the longest match between calls to lzma_lzma_optimum_*().

## fast_mode

bool lzma_lzma1_encoder_s::fast_mode

True if using getoptimumfast.

## is_initialized

bool lzma_lzma1_encoder_s::is_initialized

True if the encoder has been initialized by encoding the first byte as a literal.

## is_flushed

bool lzma_lzma1_encoder_s::is_flushed

True if the range encoder has been flushed, but not all bytes have been written to the output buffer yet.

## pos_mask

uint32_t lzma_lzma1_encoder_s::pos_mask

(1 << pos_bits) - 1

The documentation for this struct was generated from the following file:

- liblzma/lzma/lzma_encoder_private.h